%global pypi_name flask-whooshee
%global srcname flask-whooshee

Name:           python-%{pypi_name}
Version:        0.2.2
Release:        2%{?dist}
Summary:        Flask - SQLAlchemy - Whoosh integration

License:        GPLv2+
URL:            https://github.com/bkabrda/flask-whooshee
Source0:        https://pypi.python.org/packages/7c/86/558d301399046b9465453a580739d20d1f498908afa762cd0bd19817d852/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%if 0%{?rhel} 
BuildRequires:  python34-setuptools
BuildRequires:  python34-devel
%else
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
%endif

BuildRequires:  python-setuptools
BuildRequires:  python2-devel

%description
Flask - SQLAlchemy - Whoosh integration that allows to create and search custom
indexes.

%package -n     python3-%{pypi_name}
Summary:        Flask - SQLAlchemy - Whoosh integration
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

Requires:       python3-blinker
Requires:       python3-flask-sqlalchemy
Requires:       python3-whoosh
%description -n python3-%{pypi_name}
Flask - SQLAlchemy - Whoosh integration that allows to create and search custom
indexes.

%package -n     python2-%{pypi_name}
Summary:        Flask - SQLAlchemy - Whoosh integration
%{?python_provide:%python_provide python2-%{srcname}}
 
Requires:       python-blinker
Requires:       python-flask-sqlalchemy
Requires:       python-whoosh
%description -n python2-%{pypi_name}
Flask - SQLAlchemy - Whoosh integration that allows to create and search custom
indexes.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%if 0%{?rhel}
%py_build
%else
%py2_build
%endif
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%if 0%{?rhel}
%py_install
%else
%py2_install
%endif
%py3_install


%files -n python3-%{pypi_name} 
%doc README.md LICENSE
%dir %{python3_sitelib}/__pycache__/
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/flask_whooshee.py
%{python3_sitelib}/flask_whooshee-%{version}-py?.?.egg-info

%files -n python2-%{pypi_name} 
%doc README.md LICENSE

%{python2_sitelib}/flask_whooshee.py*
%{python2_sitelib}/flask_whooshee-%{version}-py?.?.egg-info

%changelog
* Wed May 11 2016 copr-service - 0.2.0-1
- Initial package.
